.486
.model flat, stdcall
option casemap :none

include		windows.inc

include		kernel32.inc
include		user32.inc
include		masm32.inc
include		comctl32.inc
include		advapi32.inc
include		comdlg32.inc
include		gdi32.inc

includelib	kernel32.lib
includelib	user32.lib
includelib	masm32.lib
includelib	comctl32.lib
includelib	advapi32.lib
includelib	comdlg32.lib
includelib	gdi32.lib

WinMain						proto	
DlgMain						proto	hWin:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
DlgLog 						proto	hWin:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
DlgInformation				proto	hWin:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
DlgProtection				proto	hWin:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM

.const
	IDD_MAINDLG					equ	1001
	IDD_LOGDLG					equ 1002	
	IDD_INFORMATIONDLG			equ 1005
	IDD_PROTECTIONDLG			equ 1006
	
	DLG_LOG						equ	4000
	DLG_INFORMATION				equ	4001
	DLG_PROTECTION				equ	4002
	DLG_ADVANCEDPROTECTION		equ	4003
	
	IDC_TAB						equ	100
	
.data
	szApplicationTitle			db "mQUBE", 0h
	szApplicationVersion		db "v1.0", 0h
	
	szTabLog					db "Log", 0h
	szTabInformation			db "Information", 0h
	szTabProtection				db "Protection", 0h
	szTabAdvancedProtection		db "Advanced Protection", 0h
	

.data?
	hInstance					HINSTANCE 	?
	
	ItemStruct					TC_ITEM		<?>
	
	hTab						HWND		?
	
	hDlgLog						HWND 		?
	hDlgInformation				HWND		?
	hDlgProtection				HWND		?
	hDlgAdvancedProtection		HWND		?
	
	PrevSelTab					HWND		?
	
.code

WinMain	proc
	invoke 	InitCommonControls
	invoke	GetModuleHandle, NULL
	mov		hInstance, eax
	invoke 	DialogBoxParam, hInstance, IDD_MAINDLG, NULL, offset DlgMain, NULL
	invoke 	ExitProcess, NULL
	ret
WinMain endp


DlgMain	proc hWin:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
	.if	uMsg == WM_INITDIALOG
		invoke	GetDlgItem,hWin, IDC_TAB
		mov 	hTab, eax
		mov 	ItemStruct.imask, TCIF_TEXT
		mov 	ItemStruct.pszText, offset szTabLog
		invoke 	SendMessage,hTab,TCM_INSERTITEM, 0, offset ItemStruct
		mov 	ItemStruct.pszText, offset szTabInformation
		invoke 	SendMessage,hTab,TCM_INSERTITEM, 1, offset ItemStruct
		mov 	ItemStruct.pszText, offset szTabProtection
		invoke 	SendMessage,hTab,TCM_INSERTITEM, 3, offset ItemStruct
		mov 	ItemStruct.pszText, offset szTabAdvancedProtection
		invoke 	SendMessage,hTab,TCM_INSERTITEM, 4, offset ItemStruct
		
		invoke	CreateDialogParam, hInstance, IDD_LOGDLG, hTab, Offset DlgLog, 0	
		mov		hDlgLog, eax
		
		invoke	CreateDialogParam, hInstance, IDD_INFORMATIONDLG, hTab, Offset DlgInformation, 0	
		mov		hDlgInformation, eax		
		
		invoke	CreateDialogParam, hInstance, IDD_INFORMATIONDLG, hTab, Offset DlgProtection, 0	
		mov		hDlgProtection, eax		
		
		invoke	ShowWindow, hDlgLog, SW_SHOWDEFAULT
	.elseif	uMsg == WM_COMMAND
		;.if wParam == IDM_EXIT	; -> Exit
		;	invoke EndDialog,hWin,NULL
		;.elseif wParam == IDM_ABOUT	; -> About
		;	invoke MessageBox,hWin,addr lpAbout,addr App,MB_OK
		;.endif
	.elseif	uMsg == WM_NOTIFY
		mov eax, lParam
		assume eax:ptr NMHDR
		.if	wParam == IDC_TAB && [eax].code == TCN_SELCHANGE
			Invoke SendMessage, hTab, TCM_GETCURSEL, 0, 0
			.if	eax == 0
				mov edi, hDlgLog
			.elseif eax == 1
				mov edi, hDlgInformation
			.elseif eax == 2
				mov edi, hDlgProtection
			.elseif eax == 3
				mov edi, hDlgAdvancedProtection
			.endif
			Invoke ShowWindow, PrevSelTab, SW_HIDE
			Invoke ShowWindow, edi, SW_SHOWDEFAULT
			mov PrevSelTab,edi
		.endif
		assume eax:nothing
	.elseif	uMsg == WM_CLOSE
		invoke EndDialog, hWin, NULL
	.endif
	xor eax,eax
	ret
DlgMain endp

DlgLog proc	hWin:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
	
	ret
DlgLog endp

DlgInformation proc	hWin:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
	
	ret
DlgInformation endp

DlgProtection proc	hWin:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
	
	ret
DlgProtection endp

end WinMain
























